Calculate Forum

Унификация профилей

#1

profiles.jpg

Не так давно мы провели опрос с целью узнать, насколько востребован среди пользователей расширенный репозиторий бинарных пакетов. Почти 70% поддержали идею, что конечно же не удивительно. Использование бинарных пакетов не исключает возможность собирать всё из исходного кода на своей машине, но обладает целым рядом преимуществ:

  • Разрешением зависимостей
  • Актуальностью доступных версий (пример firefox, virtualbox)
  • Сокращением времени установки пакетов (пример wine)

Помимо этого, снятие ограничения на бинарные пакеты позволит:

  • Поддерживать большее количество дистрибутивов (привет MATE!), ведь их сборка будет уже выполняться из бинарных пакетов
  • Лучше тестировать софт не входящий в поддерживаемые дистрибутивы
  • Писать шаблоны настроек для популярных пакетов

Если заглянуть ещё дальше, то:

  • Локализовать описания поддерживаемых бинарных пакетов
  • Написать менеджер установки пакетов

Сегодня был выполнен первый важный шаг. В репозитории calculate были созданы три профиля “x”, “kde” и “server”, которые без изменений флагов наследуются дистрибутивами: профиль “x” для CLDX, CLS и CMC, “kde” для CLD и “server” для CDS и CSS.

Уверен, что не все пользователи согласятся, что в CLS должна по умолчанию присутствовать поддержка pulseaudio. Тем не менее pulseaudio можно без труда удалить. Важно же другое. При переходе на расширенный бинарный репозиторий, более не потребуется в CLS намеренно предустанавливать “тяжёлые” библиотеки.

#2

Добрый день!

Сижу на CLS и при обновлении полезли пакеты и библиотеки которые я вообще не использую и они мне НЕ НУЖНЫ, ноут старенький специально ставил CLS (профиль distros:CLS) и собирал все из исходников, сейчас с обновлением поставились mysql, pulseaudio, gtk3 итд, можно же было оставить этот профиль без добавления всех этих пакетов и библиотек, кому надо тот сам все поставит.
Блин, опять на генту лезть, а тут так было хорошо.
Знайте - я сильно расстроился !

#3

Артем, вообще никаких проблем не вижу, тем более вы собираете всё из исходников. Для отключения pulseaudio пропишите в /etc/portage/make.conf/custom

USE="-pulseaudio"

Для отключения mysql-зависимости в /etc/portage/package.use/custom

dev-qt/qtsql -mysql
#4

Просто это на мой взгляд лишние пассы руками )))

#5

Да что-то такое есть… Я тоже установил давно CLS и появились в зависимостях какие-то странные пакеты.
Мне уже кажется, что я не контролирую ничего в системе.

#6

Мне уже кажется, что я не контролирую ничего в системе.

Вы контролируете процесс обновления и можете в него вмешаться. В портежах так же происходят подвижки, например с глобальным убиранием флага python/perl. Все изменения направлены на развитие системы не смотря на то, что на данном этапе вы не увидите ничего полезного для себя.

#7
Написать менеджер установки пакетов

а то многие одмины локалхостов emerge асилить не могут ))

#8

А что, в ирке на меня уже наехали, что я посоветовал cl-update -f в крон добавить, типа это теперь вызвало блокировку, которую не убрать :slight_smile:

#9

Alexander Tratsevskiy писал(а):

А что, в ирке на меня уже наехали, что я посоветовал cl-update -f в крон добавить, типа это теперь вызвало блокировку, которую не убрать :slight_smile:

так делай то что ВАМ надо (не забыли для кого начали ?) и не тратьте время на вытирание чужих носов … ведь кому надо тот разберётся сам или отвалится обломавшись с халявной настройкой своего пк/сервера/офиса (линукс не первый год существует и документации полно) :slight_smile:

#10

Алексей Тихонов писал(а):

[…]

а то многие одмины локалхостов emerge асилить не могут ))

ведь только админы и пользуются линуксом. все верно.

#11

Andrey Shkarlat писал(а):

Алексей Тихонов писал(а):

[…]

а то многие одмины локалхостов emerge асилить не могут ))

ведь только админы и пользуются линуксом. все верно.

не верно … я простой пользователь и пользуюсь линуксом ибо времени тратится на него меньше чем на венду и не парюсь с ключами/лицензиями/УК :slight_smile:

#12

Алексей Тихонов писал(а):

Andrey Shkarlat писал(а):

Алексей Тихонов писал(а):

[…]

а то многие одмины локалхостов emerge асилить не могут ))

ведь только админы и пользуются линуксом. все верно.

не верно … я простой пользователь и пользуюсь линуксом ибо времени тратится на него меньше чем на венду и не парюсь с ключами/лицензиями/УК :slight_smile:

лол Тогда при чем здесь ремарка про админов локалхоста?

#13

Интересно, а есть ли возможность исключить CLS (или создать тогда другой минимальный дистрибутив без этих нововведений) из этих профилей?

Просто если логически подумать, то каждый раз запрещать то, что “должно появится” в дистрибутиве намного муторнее, чем просто обходиться без ненужных бинарных пакетов.

Вот честно, мне проще скомпилировать лишний пакет, чем каждый раз удалять ненужные мне пакеты после обновления. Опять же, при голосовании вы наверняка ориентировались на “общую массу пользователей”, между тем, пользователи CLS и CLD совершенно разные…

Конечно, дело разработчиков, как должен выглядеть дистрибутив… но у меня вызвало раздражение появление pulseaudio, который я не устанавливал…

Обновление:

Вот и новость: http://www.calculate-linux.ru/blogs/ru/540/show
Стало ясно что вы перерабатываете всю систему разработки дистрибутивов…
Мда, значит количество ненужных пакетов и программ в CLS возрастёт и станет похожим на CLDX…
И опять будет многое, от чего будет сложно избавиться…
И альтернатив CLS почти нет…

#14

Опять же, при голосовании вы наверняка ориентировались на “общую массу пользователей”,

Абсолютно не так. В большинстве случаев ответ очевиден.

Конечно, дело разработчиков, как должен выглядеть дистрибутив… но у меня вызвало раздражение появление pulseaudio, который я не устанавливал…

Добавьте USE="-pulseaudio" в make.conf и проблема исчерпана. Возможно в будущем мы добавим поддержку работы как с pulseaudio, так и без него, в этом случае вы сможете полноценно использовать бинарные пакеты. Если посмотреть, то поддержка pulseaudio выполняется путем установки ~5-ти пакетов.

Мда, значит количество ненужных пакетов и программ в CLS возрастёт и станет похожим на CLDX…

В world CLS прописано 47 пакетов, в world CLDX 172. Если из CLS убрать поддержку графической консоли, по зависимостям уберётся Qt. Потенциал для сокращения есть.

#15

Просто, честно говоря, я вообще не понимаю зачем нужен pulseaudio в системе. Он у меня, когда я им пытался пользоваться, периодически падал. А потом не включался, вот как и systemd, абсолютно такая же ненужная надстройка.

Недавно я обновил друзьям Kubuntu до 15-й версии (как известно, они перешли на systemd). Первая загрузка всё нормально, вторая показывала тёмный экран с сообщением systemd, что там что-то не в порядке с юнитами. Ладно, для очистки совести, я переустановил эту Kubuntu заново (то есть не через обновление, а просто как новую систему) и какой результат? Абсолютно такой же (в результате я просто опять установил Kubuntu 14 и запретил апгрейд системы до 15-й в настройках)…

И pulseaudio такая же ерунда. То он падает, когда флеш-плеер на сайте играет и ты запускаешь mplayer, то он просто не срабатывает ни с того, ни с сего… И это длится с начала его разработки. Я пробовал его вплоть до 2014-го года, там ничего не меняется.

Зачем такое в дистрибутиве? Вот честно, не понимаю… Если проблема со скайпом, то были тут и заглушки для него, да и вообще, зачем он там нужен этот скайп по умолчанию? Есть и для видео и телефонии свободные альтернативы…

ALSA прекрасно работающая, не вызывающая никаких нареканий система. С ней вообще нет никаких проблем, ни с качеством звука, ни с чем-либо ещё. Зачем нужен pulseaudio мне не понятно, уж извините…

В world CLS прописано 47 пакетов, в world CLDX 172. Если из CLS убрать поддержку графической консоли, по зависимостям уберётся Qt. Потенциал для сокращения есть.

Хм, ну вот поэтому и не хотелось бы, чтобы количество пакетов увеличивалось бы. Я на CLS устанавливаю XFCE, соотвественно, пакетов у меня становится больше и каждый новый, если он для меня лишний, мне не нужен. Хотелось бы, всё-таки из минимального дистрибутива лепить то, что тебе нужно, а не удалять сначала то, что ненужно, потом устанавливать то, что нужно. И каждый раз удалять придётся что-то разное… сегодня это pulseaudio, завтра что-то ещё… согласитесь, что проще установить то, что нужно кому-то одному, чем сначала установить всем одно и то же, чтобы потом все это удалили и начали устанавливать то, что нужно им…

#16

По поводу перехода на pulseaudio было проведено три опроса:

# Как вы относитесь к PulseAudio? https://vk.com/calculatelinux?w=wall-10221243_2533
# Поддержка PulseAudio https://vk.com/calculatelinux?w=wall-10221243_4051
# Довольны ли вы переходом на Pulseaudio? https://vk.com/calculatelinux?w=wall-10221243_5303

Примечателен третий опрос, когда переход уже состоялся и пользователи высказывали своё мнение. 34% были удовлетворены, 45% не заметили перехода, 20% переход не устроил.

Полностью согласен с тем, что pulseaudio это не всегда нужный демон отбирающий ресурсы. Но лучшим на мой взгляд выходом было бы предоставить возможность выбирать настройки между pulseaudio и alsa. Вы можете нам помочь в этом.

Не думаю, то вас полностью устроят флаги, с которыми собран CLS. Вы либо добавляете флаги, либо убираете их, общего какого-то решения нет. Но помимо CLS есть ещё и CSS, в котором пакетов в 2 раза меньше. Выбор всегда остаётся за вами. Лично для меня не критичны изменения. Плюсов в них на порядок больше.

#17

Мда, значит количество ненужных пакетов и программ в CLS возрастёт и станет похожим на CLDX…

Вот кстати и удалось выпилить pulseaudio из CLS. В следующем Stage его не будет. USE останется в профиле но без предустановленного пакета. В целом образ полегчает на 37 пакетов.

#18

Полностью согласен с тем, что pulseaudio это не всегда нужный демон отбирающий ресурсы. Но лучшим на мой взгляд выходом было бы предоставить возможность выбирать настройки между pulseaudio и alsa.

И в чём проблема? Если этот выбор нельзя сделать с помощью portage и флагов, ну тогда включите его в Calculate Console и шаблонами создайте настройку при которой изначально можно будет выбирать, что должно быть установлено в дистрибутиве pulseaudio или просто ALSA (без pulseaudio). Да и вообще, в установщик можно было бы включить выбор того, что устанавливается в дистрибутив, но почему-то что-то подобное я видел в современных дистрибутивах только в ASPLinux (который умер) и в каком-то клоне Slackware…

Но помимо CLS есть ещё и CSS

В CSS нет иксов и я потрачу на его доводку до приемлемого состояния больше времени, чем на удаление ненужного из CLS, а CLS у вас опять превращается из минимального дистрибутива с иксами в какую-то заготовку для унифицированных дистрибутивов с разным графическим окружением… поэтому и pulseaudio и прочие гадости… Вот честно, не нужно CLS никаких дополнительных бинарных пакетов, если ради этого в него привносится разный мусор. Теряется просто сам смысл минимального дистрибутива.

Лично для меня не критичны изменения. Плюсов в них на порядок больше.

Честно говоря, не увидел никаких плюсов. Вот ни одного плюса нет, если уж говорить точнее. Может с точки зрения разработчика это не так, но вот с точки зрения пользователя я лучше установлю то, что мне надо из исходников, чем буду держать то что мне не надо в системе.

В общем, понятно, что это окончательное решение. Спасибо за разъяснения и подсказки, хотя это всё не радует. Раньше CLS (а до этого CLDX) были хорошими дистрибутивами. Но после этих изменений - это уже не так. Дело не только в pulseaudio… просто чувствуется, что всё развивается совершенно не в ту сторону, в которую хотелось бы… но, я понимаю, что дистрибутив ваш и решать вам. Благодарю, что выслушали и серьёзно приводили свои доводы на моё мнение об этих изменениях.

#19

Вот кстати и удалось выпилить pulseaudio из CLS. В следующем Stage его не будет. USE останется в профиле но без предустановленного пакета. В целом образ полегчает на 37 пакетов.

Это хорошая новость. Вы меня опередили (пока печатал и продумывал предыдущий комментарий, вы написали новый). Не буду его стирать, чтобы были понятны мои мысли по поводу pulseaudio. Ну вот, 37 пакетов, это достаточно много, чтобы избавиться от него.

Спасибо за обновлённый CLS. Не знаю как много людей им пользуется, но для меня он остаётся практически безальтернативным решением. Не из-за того, что я не могу сделать из другого дистрибутива что-то похожее, а потому, что могу быстро сделать из него конфетку. Плюс стабильность Calculate… до которой другим дистрибутивам просто очень и очень далеко…

#20

Ну вот, 37 пакетов, это достаточно много, чтобы избавиться от него.

Не только pulseaudio убрался.

и шаблонами создайте настройку при которой изначально можно будет выбирать, что должно быть установлено в дистрибутиве pulseaudio или просто ALSA (без pulseaudio)

Вы же не предлагаете собирать по две версии пакетов, включая chromium, с USE pulseaudio и без него. Проблема хрома в частности собранного с pulseaudio в том, что он запускает демон pulseaudio даже если всё настроено под ALSA. Разбираться нужно. Всё упирается во время.

Mastodon Mastodon